diff --git a/doc/src/sgml/pgamcheck.sgml b/doc/src/sgml/pgamcheck.sgml
index 12573e950a..62812a751f 100644
--- a/doc/src/sgml/pgamcheck.sgml
+++ b/doc/src/sgml/pgamcheck.sgml
@@ -54,7 +54,10 @@
    <option>--table</option>, <option>--exclude-table</option>,
    <option>--index</option>, and <option>--exclude-index</option>,
    but only when such options are used with a three-part pattern
-   (e.g. <option>mydb*.myschema*.myrel*</option>).
+   (e.g. <option>mydb*.myschema*.myrel*</option>). Finally, they include
+   <option>--schema</option> and <option>--exclude-schema</option>
+   when such options are used with a two-part pattern
+   (e.g. <option>mydb*.myschema*</option>).
   </para>
 
   <para>
@@ -126,7 +129,8 @@
        checking a single table relation. If both a regular table and a toast
        table are checked, this option will apply to both, but higher-numbered
        toast blocks may still be accessed while validating toast pointers,
-       unless that is suppressed using <option>--exclude-toast-pointers</option>.
+       unless that is suppressed using
+       <option>--exclude-toast-pointers</option>.
       </para>
      </listitem>
     </varlistentry>
@@ -379,7 +383,7 @@
        This option can be specified more than once.
       </para>
       <para>
-       As with <option>-r</option> <option>--relation</option>, the
+       As with <option>--relation</option>, the
        <link linkend="app-psql-patterns"><replaceable class="parameter">pattern</replaceable></link> may be unqualified, schema-qualified,
        or database- and schema-qualified.
       </para>
@@ -424,6 +428,12 @@
        To select only indexes, consider using something like
        <literal>--index=SCHEMAPAT.*</literal>.
       </para>
+      <para>
+       A schema pattern may be database-qualified. For example, you may
+       write <literal>--schema=mydb*.myschema*</literal> to select
+       schemas matching <literal>myschema*</literal> in databases matching
+       <literal>mydb*</literal>.
+      </para>
      </listitem>
     </varlistentry>
 
@@ -436,6 +446,10 @@
        <link linkend="app-psql-patterns"><replaceable class="parameter">pattern</replaceable></link>.
        This option can be specified more than once.
       </para>
+      <para>
+       As with <option>--schema</option>, the pattern may be
+       database-qualified.
+      </para>
      </listitem>
     </varlistentry>
 
